# GstRTSPUrl

Provides helper functions to handle RTSP urls.

## GstRTSPUrl

This structure contains the result of a parsed RTSP URL

### Members

`transports` (GstRTSPLowerTrans) –

the transports allowed

`family` (GstRTSPFamily) –

the family

`user` (gchar*) –

the user

`passwd` (gchar*) –

the password

`host` (gchar*) –

the host

`port` (guint16) –

the port

`abspath` (gchar*) –

the absolute path

`query` (gchar*) –

additional query parameters

## GstRtsp.RTSPUrl

This structure contains the result of a parsed RTSP URL

### Members

`transports` (GstRtsp.RTSPLowerTrans) –

the transports allowed

`family` (GstRtsp.RTSPFamily) –

the family

`user` (String) –

the user

`passwd` (String) –

the password

`host` (String) –

the host

`port` (Number) –

the port

`abspath` (String) –

the absolute path

`query` (String) –

additional query parameters

## GstRtsp.RTSPUrl

This structure contains the result of a parsed RTSP URL

### Members

`transports` (GstRtsp.RTSPLowerTrans) –

the transports allowed

`family` (GstRtsp.RTSPFamily) –

the family

`user` (str) –

the user

`passwd` (str) –

the password

`host` (str) –

the host

`port` (int) –

the port

`abspath` (str) –

the absolute path

`query` (str) –

additional query parameters

### Methods

#### gst_rtsp_url_copy

    GstRTSPUrl *
    gst_rtsp_url_copy (const GstRTSPUrl * url)

Make a copy of url.

Parameters:

`url` –

a GstRTSPUrl

Returns ( [transfer: full]) –

a copy of url. Free with gst_rtsp_url_free () after usage.

#### GstRtsp.RTSPUrl.prototype.copy

    function GstRtsp.RTSPUrl.prototype.copy(): {
        // javascript wrapper for 'gst_rtsp_url_copy'
    }

Make a copy of url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (GstRtsp.RTSPUrl) –

a copy of url. Free with gst_rtsp_url_free () after usage.

#### GstRtsp.RTSPUrl.copy

    def GstRtsp.RTSPUrl.copy (self):
        #python wrapper for 'gst_rtsp_url_copy'

Make a copy of url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (GstRtsp.RTSPUrl) –

a copy of url. Free with gst_rtsp_url_free () after usage.

#### gst_rtsp_url_decode_path_components

    gchar**
    gst_rtsp_url_decode_path_components (const GstRTSPUrl * url)

Splits the path of url on '/' boundaries, decoding the resulting components,

The decoding performed by this routine is "URI decoding", as defined in RFC 3986, commonly known as percent-decoding. For example, a string "foo%2fbar" will decode to "foo/bar" -- the %2f being replaced by the corresponding byte with hex value 0x2f. Note that there is no guarantee that the resulting byte sequence is valid in any given encoding. As a special case, %00 is not unescaped to NUL, as that would prematurely terminate the string.

Also note that since paths usually start with a slash, the first component will usually be the empty string.

Parameters:

`url` –

a GstRTSPUrl

Returns ( [transfer: full]) –

NULL-terminated array of URL components. Free with g_strfreev when no longer needed.

#### GstRtsp.RTSPUrl.prototype.decode_path_components

    function GstRtsp.RTSPUrl.prototype.decode_path_components(): {
        // javascript wrapper for 'gst_rtsp_url_decode_path_components'
    }

Splits the path of url on '/' boundaries, decoding the resulting components,

The decoding performed by this routine is "URI decoding", as defined in RFC 3986, commonly known as percent-decoding. For example, a string "foo%2fbar" will decode to "foo/bar" -- the %2f being replaced by the corresponding byte with hex value 0x2f. Note that there is no guarantee that the resulting byte sequence is valid in any given encoding. As a special case, %00 is not unescaped to NUL, as that would prematurely terminate the string.

Also note that since paths usually start with a slash, the first component will usually be the empty string.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns ([ String ]) –

NULL-terminated array of URL components. Free with GLib.prototype.strfreev when no longer needed.

#### GstRtsp.RTSPUrl.decode_path_components

    def GstRtsp.RTSPUrl.decode_path_components (self):
        #python wrapper for 'gst_rtsp_url_decode_path_components'

Splits the path of url on '/' boundaries, decoding the resulting components,

The decoding performed by this routine is "URI decoding", as defined in RFC 3986, commonly known as percent-decoding. For example, a string "foo%2fbar" will decode to "foo/bar" -- the %2f being replaced by the corresponding byte with hex value 0x2f. Note that there is no guarantee that the resulting byte sequence is valid in any given encoding. As a special case, %00 is not unescaped to NUL, as that would prematurely terminate the string.

Also note that since paths usually start with a slash, the first component will usually be the empty string.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns ([ str ]) –

NULL-terminated array of URL components. Free with GLib.strfreev when no longer needed.

#### gst_rtsp_url_free

    gst_rtsp_url_free (GstRTSPUrl * url)

Free the memory used by url.

Parameters:

`url` –

a GstRTSPUrl

#### GstRtsp.RTSPUrl.prototype.free

    function GstRtsp.RTSPUrl.prototype.free(): {
        // javascript wrapper for 'gst_rtsp_url_free'
    }

Free the memory used by url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

#### GstRtsp.RTSPUrl.free

    def GstRtsp.RTSPUrl.free (self):
        #python wrapper for 'gst_rtsp_url_free'

Free the memory used by url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

#### gst_rtsp_url_get_port

    GstRTSPResult
    gst_rtsp_url_get_port (const GstRTSPUrl * url,
                           guint16* port)

Get the port number of url.

Parameters:

`url` –

a GstRTSPUrl

`port` ( [out]) –

location to hold the port

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPUrl.prototype.get_port

    function GstRtsp.RTSPUrl.prototype.get_port(): {
        // javascript wrapper for 'gst_rtsp_url_get_port'
    }

Get the port number of url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`port` (Number ) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPUrl.get_port

    def GstRtsp.RTSPUrl.get_port (self):
        #python wrapper for 'gst_rtsp_url_get_port'

Get the port number of url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

GstRtsp.RTSPResult.OK.

`port` (int ) –

GstRtsp.RTSPResult.OK.

#### gst_rtsp_url_get_request_uri

    gchar*
    gst_rtsp_url_get_request_uri (const GstRTSPUrl * url)

Get a newly allocated string describing the request URI for url.

Parameters:

`url` –

a GstRTSPUrl

Returns ( [transfer: full]) –

a string with the request URI. g_free after usage.

#### GstRtsp.RTSPUrl.prototype.get_request_uri

    function GstRtsp.RTSPUrl.prototype.get_request_uri(): {
        // javascript wrapper for 'gst_rtsp_url_get_request_uri'
    }

Get a newly allocated string describing the request URI for url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (String) –

a string with the request URI. GLib.prototype.free after usage.

#### GstRtsp.RTSPUrl.get_request_uri

    def GstRtsp.RTSPUrl.get_request_uri (self):
        #python wrapper for 'gst_rtsp_url_get_request_uri'

Get a newly allocated string describing the request URI for url.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (str) –

a string with the request URI. GLib.free after usage.

#### gst_rtsp_url_get_request_uri_with_control

    gchar*
    gst_rtsp_url_get_request_uri_with_control (const GstRTSPUrl * url,
                                               const gchar* control_path)

Get a newly allocated string describing the request URI for url combined with the control path for control_path

Parameters:

`url` –

a GstRTSPUrl

`control_path` –

an RTSP aggregate control path

Returns ( [transfer: full]) –

a string with the request URI combined with the control path. g_free after usage.

Since : 1.18

#### GstRtsp.RTSPUrl.prototype.get_request_uri_with_control

    function GstRtsp.RTSPUrl.prototype.get_request_uri_with_control(control_path: String): {
        // javascript wrapper for 'gst_rtsp_url_get_request_uri_with_control'
    }

Get a newly allocated string describing the request URI for url combined with the control path for control_path

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

`control_path` (String) –

an RTSP aggregate control path

Returns (String) –

a string with the request URI combined with the control path. GLib.prototype.free after usage.

Since : 1.18

#### GstRtsp.RTSPUrl.get_request_uri_with_control

    def GstRtsp.RTSPUrl.get_request_uri_with_control (self, control_path):
        #python wrapper for 'gst_rtsp_url_get_request_uri_with_control'

Get a newly allocated string describing the request URI for url combined with the control path for control_path

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

`control_path` (str) –

an RTSP aggregate control path

Returns (str) –

a string with the request URI combined with the control path. GLib.free after usage.

Since : 1.18

#### gst_rtsp_url_set_port

    GstRTSPResult
    gst_rtsp_url_set_port (GstRTSPUrl * url,
                           guint16 port)

Set the port number in url to port.

Parameters:

`url` –

a GstRTSPUrl

`port` –

the port

Returns –

GST_RTSP_OK.

#### GstRtsp.RTSPUrl.prototype.set_port

    function GstRtsp.RTSPUrl.prototype.set_port(port: Number): {
        // javascript wrapper for 'gst_rtsp_url_set_port'
    }

Set the port number in url to port.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

`port` (Number) –

the port

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

#### GstRtsp.RTSPUrl.set_port

    def GstRtsp.RTSPUrl.set_port (self, port):
        #python wrapper for 'gst_rtsp_url_set_port'

Set the port number in url to port.

Parameters:

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

`port` (int) –

the port

Returns (GstRtsp.RTSPResult) –

GstRtsp.RTSPResult.OK.

### Functions

#### gst_rtsp_url_parse

    GstRTSPResult
    gst_rtsp_url_parse (const gchar* urlstr,
                        GstRTSPUrl ** url)

Parse the RTSP urlstr into a newly allocated GstRTSPUrl. Free after usage with gst_rtsp_url_free.

Parameters:

`urlstr` –

the url string to parse

`url` ( [out][transfer: full][nullable]) –

location to hold the result.

Returns –

a GstRTSPResult.

#### GstRtsp.prototype.rtsp_url_parse

    function GstRtsp.prototype.rtsp_url_parse(urlstr: String): {
        // javascript wrapper for 'gst_rtsp_url_parse'
    }

Parse the RTSP urlstr into a newly allocated GstRtsp.RTSPUrl. Free after usage with GstRtsp.RTSPUrl.prototype.free.

Parameters:

`urlstr` (String) –

the url string to parse

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`url` (GstRtsp.RTSPUrl ) –

a GstRtsp.RTSPResult.

#### GstRtsp.rtsp_url_parse

    def GstRtsp.rtsp_url_parse (urlstr):
        #python wrapper for 'gst_rtsp_url_parse'

Parse the RTSP urlstr into a newly allocated GstRtsp.RTSPUrl. Free after usage with GstRtsp.RTSPUrl.free.

Parameters:

`urlstr` (str) –

the url string to parse

Returns a tuple made of:

(GstRtsp.RTSPResult ) –

a GstRtsp.RTSPResult.

`url` (GstRtsp.RTSPUrl ) –

a GstRtsp.RTSPResult.

## Constants

### GST_RTSP_DEFAULT_PORT

    #define GST_RTSP_DEFAULT_PORT       554

The default RTSP port to connect to.

### GstRtsp.RTSP_DEFAULT_PORT

The default RTSP port to connect to.

### GstRtsp.RTSP_DEFAULT_PORT

The default RTSP port to connect to.

The results of the search are